Update Super Admin Details

Updates the account information of the Super Admin associated with `superAdminId`. > **NOTE** > A BigCommerce customer account and a B2B Edition user account are both uniquely identified by their email address. As such, the `email` field is considered read-only. Updating the email address should be avoided, but may be done with the [Update Customers](/developer/api-reference/rest/admin/management/customers/v3#update-customers) endpoint.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

superAdminIdstringRequired

Request

This endpoint expects an object.
channelIdslist of integersOptional
An array of unique channel IDs associated with BigCommerce sales channels. The account will only be able to login on channels in this list.
extraFieldslist of objectsOptional
firstNamestringOptional
The first name listed on the Super Admin's BigCommerce customer account.
lastNamestringOptional
The last name listed on the Super Admin's BigCommerce customer account.
phonestringOptional
The phone number listed on the Super Admin's BigCommerce customer account.
uuidstringOptionalformat: "uuid"
An external ID associated with the Super Admin account. B2B Edition does not require UUID to be unique, despite the field's label. B2B Edition will not assign a UUID by default. > NOTE > Some endpoints will only return this field if it has a non-empty value. If your code relies on the presence of a UUID in responses, ensure it is defined for each user, and prefer endpoints that provide more details. > > Regardless of individual user status, make sure to check for existence before attempting to use the value of the `uuid` field.

Response

SUCCESS
codeintegerDefaults to 200
dataobject
metaobject

Errors

404
Not Found Error